
Figure - Bug #111769
Bug # 111192 (CLOSED): 【Figure】【EVT3】【EE】【启动时间1分6秒】【Performance】

pcie_init模块耗时过长
2022-09-06 18:09 - CD SYSTEM-龚元祝

Status: CLOSED Start date: 2022-09-06

Priority: Normal Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Need_Info: -- Found Version: every version

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: Bring Up Test Root cause:

Description

1 msm_pcie_probe内gpio_request warn delay 8.1s已解决。

2 pcie2 未使用，需要裁剪DTS。

3 pcie1，LAN模块上电时序有两个GPIO会msleep 200ms，需要做优化。

History

#1 - 2022-09-06 18:14 - CD SYSTEM-龚元祝

- Assignee set to CD BSP-唐金泽

USER版本log：

    行  379: [    2.319537] pcie:pcie_init.

    行  381: [    2.323465] register_client_adhoc:Client handle 13 pcie0

    行  382: [    2.329340] pci-msm 1c00000.qcom,pcie: 1c00000.qcom,pcie supply vreg-3p3 not found, using dummy regulator

    行  383: [    2.344693] pci-msm 1c00000.qcom,pcie: Linked as a consumer to regulator.0

    行  384: [    2.351796] pci-msm 1c00000.qcom,pcie: Linked as a consumer to regulator.18

    行  385: [    2.358969] pci-msm 1c00000.qcom,pcie: Linked as a consumer to regulator.13

    行  386: [    2.366146] pci-msm 1c00000.qcom,pcie: Linked as a consumer to regulator.4

    行  387: [    2.373248] pci-msm 1c00000.qcom,pcie: Linked as a consumer to regulator.59

    行  388: [    2.380522] msm_pcie_get_reg: PCIe: RC0: no tcsr resource found.

    行  389: [    2.386719] msm_pcie_get_reg: PCIe: RC0: no rumi resource found.

    行  391: [    2.393234] register_client_adhoc:Client handle 14 pcie1

    行  392: [    2.399123] pci-msm 1c08000.qcom,pcie: 1c08000.qcom,pcie supply vreg-3p3 not found, using dummy regulator

    行  393: [    2.414440] pci-msm 1c08000.qcom,pcie: Linked as a consumer to regulator.0

    行  394: [    2.421527] pci-msm 1c08000.qcom,pcie: Linked as a consumer to regulator.18

    行  395: [    2.428705] pci-msm 1c08000.qcom,pcie: Linked as a consumer to regulator.13

    行  396: [    2.435874] pci-msm 1c08000.qcom,pcie: Linked as a consumer to regulator.4

    行  397: [    2.442963] pci-msm 1c08000.qcom,pcie: Linked as a consumer to regulator.60

    行  398: [    2.450217] msm_pcie_get_reg: PCIe: RC1: no tcsr resource found.

    行  399: [    2.456413] msm_pcie_get_reg: PCIe: RC1: no rumi resource found.

    -     行  400: [    2.462607] msm_pcie_probe: PCIe: RC1 could not get pinctrl sleep state1

                 两个msleep(200)卡了400ms

    行  406: [    2.896296] msm_pcie_enable: PCIe: Assert the reset of endpoint of RC1.*

    行  407: [    2.911804] msm_pcie_enable: PCIe: RC1: PCIE20_PARF_INT_ALL_MASK: 0x7f80d202

    行  408: [    2.921165] pcie_phy_init: PCIe RC1 PHY is ready!

    行  409: [    2.936028] msm_pcie_enable: PCIe: Release the reset of endpoint of RC1.

    行  410: [    2.969540] msm_pcie_link_train: PCIe RC1 link initialized
    行  411: [    2.975713] pci-msm 1c08000.qcom,pcie: host bridge /soc/qcom,pcie@1c08000 ranges:

    行  412: [    2.983421] pci-msm 1c08000.qcom,pcie:   No bus range found for /soc/qcom,pcie@1c08000, using [bus 00-ff]

    行  413: [    2.993276] pci-msm 1c08000.qcom,pcie:    IO 0x40200000..0x402fffff -> 0x40200000

    行  414: [    3.001006] pci-msm 1c08000.qcom,pcie:   MEM 0x40300000..0x5fffffff -> 0x40300000

    行  415: [    3.009038] pci-msm 1c08000.qcom,pcie: PCI host bridge to bus 0001:00

    行  445: [    3.156737] msm_pcie_probe: RC1 is enabled in bootup

    行  447: [    3.162420] register_client_adhoc:Client handle 15 pcie2

    行  448: [    3.168434] pci-msm 1c10000.qcom,pcie: 1c10000.qcom,pcie supply vreg-3p3 not found, using dummy regulator

    行  449: [    3.183772] pci-msm 1c10000.qcom,pcie: Linked as a consumer to regulator.0

    行  450: [    3.190884] pci-msm 1c10000.qcom,pcie: Linked as a consumer to regulator.18

    行  451: [    3.198067] pci-msm 1c10000.qcom,pcie: Linked as a consumer to regulator.13

    行  452: [    3.205278] pci-msm 1c10000.qcom,pcie: Linked as a consumer to regulator.4

    行  453: [    3.212391] pci-msm 1c10000.qcom,pcie: Linked as a consumer to regulator.61

    行  454: [    3.219728] msm_pcie_get_reg: PCIe: RC2: no tcsr resource found.

    行  455: [    3.225918] msm_pcie_get_reg: PCIe: RC2: no rumi resource found.

    行  456: [    3.232112] msm_pcie_probe: PCIe: RC2 could not get pinctrl sleep state1

    行  822: [    5.726514] msm_pcie_enable: PCIe: Assert the reset of endpoint of RC0.

    行  824: [    5.736478] msm_pcie_enable: PCIe: RC0: PCIE20_PARF_INT_ALL_MASK: 0x7f80d202

    行  826: [    5.749493] pcie_phy_init: PCIe RC0 PHY is ready!

    行  830: [    5.767926] msm_pcie_enable: PCIe: Release the reset of endpoint of RC0.

    行  834: [    5.792470] msm_pcie_link_train: PCIe RC0 link initialized

    行  836: [    5.800697] pci-msm 1c00000.qcom,pcie: host bridge /soc/qcom,pcie@1c00000 ranges:

    行  838: [    5.812856] pci-msm 1c00000.qcom,pcie:   No bus range found for /soc/qcom,pcie@1c00000, using [bus 00-ff]

    行  840: [    5.825124] pci-msm 1c00000.qcom,pcie:    IO 0x60200000..0x602fffff -> 0x60200000

    行  842: [    5.840326] pci-msm 1c00000.qcom,pcie:   MEM 0x60300000..0x63ffffff -> 0x60300000

    行  847: [    5.854559] pci-msm 1c00000.qcom,pcie: PCI host bridge to bus 0000:00

    行  894: [    6.127913] msm_pcie_enumerate: PCIe: RC0: has already been enumerated.

    行  909: [    6.181081] cnss: PCIe DRV is supported

    行  913: [    6.201963] cnss: Config PCIe remap window register to 0x4000003f

    行  928: [    6.202421] cnss: Config PCIe remap window register to 0x4000003c

    行  929: [    6.202425] cnss: Config PCIe remap window register to 0x4000003f

    行  933: [    6.320488] msm_pcie_disable: PCIe: Assert the reset of endpoint of RC0.

#2 - 2022-09-08 22:12 - CD BSP-唐金泽

- Assignee changed from CD BSP-唐金泽 to CD BSP-杨澍

请检查一下是否pcie网卡，网络驱动代码，详细查看网络交接文档。

#3 - 2022-09-14 11:18 - CD TPM-申艳艳

- Category set to BSP

#4 - 2022-09-21 11:19 - CD BSP-杜磊

- Assignee changed from CD BSP-杨澍 to CD BSP-杜磊

#5 - 2022-09-27 11:19 - 物联网项目组-RD3_CDTS 周飞

- Target version set to VX1_MCE_FSE_V3.0_20221030

#6 - 2022-09-29 15:16 - CD BSP-杜磊

- Assignee changed from CD BSP-杜磊 to CD_BSP 彭文亮
#7 - 2022-10-24 13:56 - CD BSP-余霄

- File reset.png added

如附件，根据reset timing，修改reset时间，并自验证OK

https://dev.thundercomm.com/gerrit/c/general/kernel/msm-4.19/+/157475

#8 - 2022-10-24 17:13 - CD BSP-余霄

- File lan.png added

#9 - 2022-10-24 17:51 - CD BSP-余霄

- Status changed from New to RESOLVED

- Assignee changed from CD_BSP 彭文亮 to CDTS_TEST 王成

- Resolution changed from -- to FIXED

state：

code已入库

请在1025DB版本验证

#10 - 2022-10-28 10:18 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to 移动测试一组_CDTS 刘强

#11 - 2022-10-28 16:12 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

验证通过：

版本号：01.00.X101_20221028_private_user

现在耗时：15ms

[    8.720623] msm_pcie_probe: PCIe: RC1 could not get pinctrl sleep state1

[    8.721215] Can request power-phy-gpio

[    8.721215] !

[    8.721271] Can request power_lan_gpio

[    8.721271] !

[    8.721359] Can request phy_en_gpio

[    8.721359] !

[    8.721418] Can request phy_rst_gpio

[    8.721418] !

[    8.736125] Can request lan_rst_gpio

[    8.736125] !

[    8.736227] msm_pcie_enable: PCIe: Assert the reset of endpoint of RC1.

#12 - 2022-10-28 16:45 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED

#13 - 2022-12-22 20:45 - CD FW-王伟
Gerrit Merge Information：

ID Project Branch Uploader

157475 general/kernel/msm-4.19 Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

xiao.yu@thundersoft.com

BSP:Ethernet: Optimize boot timeOptimize boot timeTC-RID: 0301-0400601IssueID: TS-R-DF-111769Change-Id:

I421c13940fd8d71a537762b241888a82b5f20f9e

Files

reset.png 93.6 KB 2022-10-24 CD BSP-余霄

lan.png 67.9 KB 2022-10-24 CD BSP-余霄
